//
//  PointrHelper.swift
//  PointrWidgetSample
//
//  Created by Pointr on 05/11/2021.
//

import UIKit
import PointrKit

class PointrHelper: NSObject {

    static func startPointr() {
        let params = PTRParams()
        params.baseUrl = "https://sample-app-v8-api.pointr.cloud"
        params.clientIdentifier = "72df7035-cdea-4c19-93b8-6deff5177894"
        // The license key of the selected environment
        params.licenseKey = "c93f0101-36ed-4129-8f95-558f4cd8e82f"
        // You should use release mode when releasing to App Store
        params.mode = PointrDebugMode()
        // You can change the logger level in order to get
        // more detailed logs
        params.loggerLevel = .warning
        // The environment you define here must correspond
        // to the PointrContent zip file you are using.
        // Development environment will use PointrContent-dev.zip while
        // production environment will use PointrContent.zip instead.
        // If you don't have the corresponding zip file, the SDK won't start.
        params.environment = .production
        Pointr.shared.start(with: params) { state in }
    }
}
